/*
 * Copyright (C) 2003 Flameeyes <dgp85@users.sourceforge.net>
 */

#include "kbioritmi.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A simple Biorithm Generator");

static const char version[] = "0.6.2";

static KCmdLineOptions options[] =
{
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
	KAboutData about("kbioritmi", I18N_NOOP("KBioritmi"), version, description,
			KAboutData::License_GPL, "(C) 2003-2004 Flameeyes", 0, "http://flameeyes.web.ctonet.it/",
			"dgp85@users.sourceforge.net");
	about.addAuthor("Flameeyes", "Primary author", "dgp85@users.sourceforge.net",
			"http://flameeyes.web.ctonet.it/" );
	KCmdLineArgs::init(argc, argv, &about);
	KCmdLineArgs::addCmdLineOptions( options );
	KApplication app;
	KBioritmi *mainWin = 0;

	// no session.. just start up normally
	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
	
	mainWin = new KBioritmi();
	app.setMainWidget( mainWin );
	mainWin->show();
	
	args->clear();
	
	// mainWin has WDestructiveClose flag by default, so it will delete itself.
	return app.exec();
}

